
Godzilla.Butsuryu - Task #2804

配達完了：B2ステータスファイル取り込み改善

02/27/2017 08:42 PM - Makoto Tanaka

Status: Resolved Start date: 02/28/2017

Priority: Normal Due date:  

Assignee: Kenji Iwamoto % Done: 100%

Category:  Estimated time: 8.00 hours

Target version:  Spent time: 0.00 hour

Type:  プロジェクト内容:  

Category:  DEV残日数:  

Description

配達完了登録  B2ステータスファイル取り込み処理 の改善。

次の問題を修正。

配達完了日の"年"の問題

年替わり時正しい年が設定されない問題を修正。

取り込みエラー処理

CSVと画面表示項目数のアンマッチでエラー -> 可能な限りセットするよう修正。

カラム数エラー

CSV中の不要なカンマを拾っている？

History

#1 - 02/27/2017 09:02 PM - Makoto Tanaka

- Assignee set to Kenji Iwamoto

#2 - 02/27/2017 09:06 PM - Makoto Tanaka

- Estimated time set to 8.00 h

#3 - 03/05/2017 11:46 PM - Kenji Iwamoto

- Status changed from New to Resolved

- % Done changed from 0 to 100

配達完了日の"年"の問題

年替わり時正しい年が設定されない問題を修正。

→修正、

取り込みエラー処理

CSVと画面表示項目数のアンマッチでエラー -> 可能な限りセットするよう修正。

→修正済み。

カラム数エラー

CSV中の不要なカンマを拾っている？

->カラム数が変動する可能性が有るので、前方の必要な部分のみ取得する様に変更
